<h1>Add product</h1>
<form #f="ngForm">
  <div class="form-group">
    <label>Id:</label>
    <input type="number" name="id" class="form-control"  [(ngModel)]="product.id"
          #i="ngModel" required>
  </div>
  <div class="alert alert-danger" *ngIf="i.invalid && i.touched">
    id is required
  </div>

  <div class="form-group">
    <label>Title:</label>
    <input type="text" name="title" class="form-control" [(ngModel)]="product.title"
          #t="ngModel" required minlength="3" pattern="[a-zA-Z]+$">
  </div>
  <div class="alert alert-danger" *ngIf="t.invalid && t.touched">
    <div *ngIf="t.errors.required">Title is required</div>
    <div *ngIf="t.errors.minlength">Title minlength is 3</div>
    <div *ngIf="t.errors.pattern"> Error Pattern</div>
  </div>

  <div class="form-group">
    <label>Quantity*</label>
    <input type="number" name="quantity" class="form-control"
           [(ngModel)]="product.quantity" #q="ngModel" required>
  </div>
  <div class="alert alert-danger" *ngIf="q.invalid && q.touched">
     quantity is required
  </div>
  <div class="alert alert-danger" *ngIf="q.value<0">
    quantity >0
  </div>
  <div class="form-group">
    <label>price:</label>
    <input type="number" name="price" class="form-control" [(ngModel)]="product.price" #p="ngModel" required>
  </div>
  <div class="alert alert-danger" *ngIf="p.invalid && p.touched">
    price is a required field
  </div>
  <button class="btn btn-success" [disabled]="f.invalid || q.value<0" (click)="save()">
    save
  </button>
</form>
<br>
